# l (List contents of archive) command

Lists contents of archive.

#### Examples

    7z l archive.zip

lists all files from archive archive.zip.

#### Notes

7-Zip doesn't uses the system wildcard parser. 7-Zip doesn't follow the archaic rule by which *.* means any file. 7-Zip treats *.* as matching the name of any file that has an extension. To process all files, you must use a * wildcard.

#### Switches that can be used with this command

-ai (Include archives)
-an (Disable parsing of archive_name)
-ax (Exclude archives)
-i (Include)
-slt (Show technical information)
-p (Set Password)
-r (Recurse)
-t (Type of archive)
-x (Exclude)